Subject: Re: MPC5200 FEC problems

From: Wolfram Sang <[email-masked]>
Date: Tue, 26 Aug 2008 08:18:41 +0200

Hello Gary,

On Mon, Aug 25, 2008 at 09:36:07AM -0600, Gary Thomas wrote:

> I'm adding the Analogue & Micro Boa (MPC5200/B) platform to the
> public 2.6.26 tree.  Under heavy network load (sometimes even
> not so heavy!), I get this error:
>   net eth0: FEC_IEVENT_RFIFO_ERROR

Yeah, I know this one :(

> My question is - what exactly does this error imply?  Looking at
> the MPC5200 manual doesn't give much info - just that there was
> a Rx FIFO error.

In deed, the manual seems not very helpful. The description of the set FIFO
status bit did not help me that much.

> I'm also perplexed by the fact that I have two slightly different
> Boa boards (same CPU rev, speed, etc).  About the only thing that's
> different is the SDRAM setup.  One board is rock solid while the
> other gets this error almost immediately.

I'm not sure if this is really of importance, but do the boards have
different PHYs?

> Note that I don't have any trouble with this platform running RedBoot
> or eCos, just Linux :-(
Try this patch and please report if it worked for you:

http://www.nabble.com/-PATCH--MPC52XX:-Don't-touch-pipelining-for-MPC5200B-td19028341.html

All the best,

   Wolfram

-- 
  Dipl.-Ing. Wolfram Sang | http://www.pengutronix.de
 Pengutronix - Linux Solutions for Science and Industry